//
//  MJSettings.m
//  MyJailbreak
//
//  Created by Kaikz on 23/04/11.
//  Copyright Kaikz 2011. All rights reserved.
//

#import "MJSettings.h"


@implementation MJSettings


#pragma mark - View lifecycle

-(void)viewDidLoad {
	[super viewDidLoad];
	self.title = @"MyJailbreak";
    
	UIBarButtonItem *dismissButton = [[UIBarButtonItem alloc]
                                      initWithBarButtonSystemItem:UIBarButtonSystemItemDone
                                      target:self
                                      action:@selector(dismiss)];
	self.navigationItem.rightBarButtonItem = dismissButton;
    
	[dismissButton release];
}

-(void)dismiss {
	[self dismissModalViewControllerAnimated:YES];
}


// Customize the number of sections in the table view.
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}


// Customize the number of rows in the table view.
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
	switch (section) {
		case 0:
			return 1;
			break;
		default:
			return 1;
			break;
	}
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithFrame:CGRectZero reuseIdentifier:CellIdentifier] autorelease];
    }
    switch(indexPath.row) {
        case 0:
                cell.textLabel.text = @"Online Mode";
                cell.selectionStyle = UITableViewCellSelectionStyleNone;
                UISwitch *switchView = [[UISwitch alloc] initWithFrame:CGRectZero];
                cell.accessoryView = switchView;
                [switchView setOn:NO animated:NO];
                [switchView addTarget:self action:@selector(switchChanged:) forControlEvents:UIControlEventValueChanged];
                [switchView release];
    }
    return cell;
}

- (void) switchChanged:(id)sender {
    UISwitch *onlineSwitch = sender;
}

- (BOOL) onlineMode {
    if (onlineSwitch.on) {
        return YES;
    } else {
        return NO;
    }
}



-(BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
	return YES;
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

@end
